GoalPerson = Tile:extend {
   image = 'data/goal.png',
   onNew = function(self)
              self.direction = dirs[math.random(1,4)]
           end,
   doMove = function(self)
               if math.random(1,4) ~= 1 then -- take a step ~2/3
                  if math.random(1,4) == 1 then -- change direction ~25%
                     self.direction = dirs[math.random(1,4)]
                  end

                  if self.direction == 'left' then
                     self.x = self.x - self.width
                  elseif self.direction == 'right' then
                     self.x = self.x + self.width
                  elseif self.direction == 'up' then
                     self.y = self.y - self.height
                  elseif self.direction == 'down' then
                     self.y = self.y + self.height
                  end
               end
            end,
   onCollide = function(self, other)
                  if other ~= the.view.map then
                     --print('collision')

                     other:displaceDir(self,
                                       util.dirToXY(self.direction),
                                       - util.dirToPosNeg(self.direction))
                  end

                  if other == the.player then
                     if the.view.level == 1 then
                        the.app.view = GameView:new{level = 2}
                     elseif the.view.level == 2 then
                        the.app.view = GameView:new{level = 3}
                     elseif the.view.level == 3 then
                        error('WIN!')
                     end
                  end
               end
}